package com.dayou.mapper;

import com.dayou.dto.ReportDTO;
import com.dayou.entity.ProductionFund;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.MajorOrderVO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 业务产品收款表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
public interface ProductionFundMapper extends CustomBaseMapper<ProductionFund> {

   List<ReportDTO> getProductionFundByOrderFundId(@Param("orderFundId") Long orderFundId);

    List<ProductionFund> deepQueryProductionFund(@Param("majorIds") List<Long> majorIds);

    void updateRealAmount(@Param("id") Long id, @Param("thisTimeAmount") BigDecimal thisTimeAmount);

    void updateProductionRealAmount(@Param("productionFundId") Long productionFundId, @Param("rollbackAmount") BigDecimal rollbackAmount);

    List<ProductionFund> selectProductionFundIdByDyoaReportNo();

    List<ProductionFund> getProductionFundIdByOrderFundId();
}
